Download it now!
Bug 75360 - Writer Filter not recognized some line/paragraph breaks--Export to MediaWiki
Summary: Writer Filter not recognized some line/paragraph breaks--Export to MediaWiki
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: All All
: medium normal
Assignee: Robert Antoni Buj i Gelonch
URL:
Whiteboard: target:5.0.0 target:4.4.4 target:4.3.8
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-22 08:56 UTC by steven
Modified: 2015-04-30 12:21 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
About the line/paragraph break (15.02 KB, application/vnd.oasis.opendocument.text)
2014-02-22 08:56 UTC, steven
Details
mediawiki file after export (248 bytes, text/plain)
2014-02-26 15:12 UTC, sophie
Details

Note You need to log in before you can comment on or make changes to this bug.
Description steven 2014-02-22 08:56:41 UTC
Created attachment 94559 [details]
About the line/paragraph break

Please check attached file, thanks!
Comment 1 sophie 2014-02-26 14:48:27 UTC
Hi, please provide a step by step description on how to reproduce the problem you encounter. I checked the file and didn't see what you mean. Thanks (and please reply from bugzilla, not your mail client) - Set as need info - Sophie
Comment 2 steven 2014-02-26 15:04:16 UTC
(In reply to comment #1)
> Hi, please provide a step by step description on how to reproduce the
> problem you encounter. I checked the file and didn't see what you mean.
> Thanks (and please reply from bugzilla, not your mail client) - Set as need
> info - Sophie

If you use attached file export to MediaWiki, you will find 3 paragraphs do not "line break":

 MARSHALL.

 == Parallel Citations == 

 5 U.S. 137, 1803 WL 893 (U.S.Dist.Col.), 2 L.Ed. 60

Thank you so much!
Comment 3 sophie 2014-02-26 15:12:18 UTC
Created attachment 94771 [details]
mediawiki file after export
Comment 4 sophie 2014-02-26 15:14:14 UTC
Added the exported file to mediawiki, so reproduced with Version: 4.2.1.1
Build ID: d7dbbd7842e6a58b0f521599204e827654e1fb8b Ubuntu 13.10.
set as New, changed plateform to all - Sophie
Comment 5 Robert Antoni Buj i Gelonch 2015-04-27 12:19:10 UTC
I've sent to gerrit a patch to fix this issue.

Master branch:
https://gerrit.libreoffice.org/#/c/15449/

libreoffice-4-4 branch:
https://gerrit.libreoffice.org/#/c/15496/

libreoffice-4-3 branch:
https://gerrit.libreoffice.org/#/c/15497/
Comment 6 Commit Notification 2015-04-27 14:08:53 UTC
Robert Antoni Buj Gelonch committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b32953d19825605ed5d919f515c355a11b9c1e87

tdf#75360 tdf#90474 line breaks in exporting to mediawiki

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-04-27 14:10:10 UTC
Robert Antoni Buj Gelonch committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=363afdf0e937afb179af3819276c6023c48f2b49&h=libreoffice-4-4

tdf#75360 tdf#90474 line breaks in exporting to mediawiki

It will be available in 4.4.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2015-04-30 12:21:48 UTC
Robert Antoni Buj Gelonch committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9c054bb47127559513a40b0df4a5e3f6d8dcc1d7&h=libreoffice-4-3

tdf#75360 tdf#90474 line breaks in exporting to mediawiki

It will be available in 4.3.8.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.